%if 0%{?fedora} || 0%{?rhel} >= 8
%global with_python3 1
%endif

%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2:        %global __python2 /usr/bin/python2}
%{!?python2_sitelib:  %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%global srcname manuel

Name:           python-%{srcname}
Version:        1.9.0
Release:        3%{?dist}
Summary:        Build tested documentation

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/manuel
Source0:        https://files.pythonhosted.org/packages/source/m/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-six
BuildRequires:  python2-sphinx
BuildRequires:  python2-zope-testing

%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
BuildRequires:  python3-sphinx
BuildRequires:  python3-zope-testing
%endif

%description
Manuel lets you mix and match traditional doctests with custom test
syntax.  Several plug-ins are included that provide new test syntax.
You can also create your own plug-ins.

%package -n python2-manuel
Summary:        Build tested documentation
Requires:       python2-six
Provides:       bundled(jquery)
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-manuel
Manuel lets you mix and match traditional doctests with custom test
syntax.  Several plug-ins are included that provide new test syntax.
You can also create your own plug-ins.

%if 0%{?with_python3}
%package -n python3-manuel
Summary:        Build tested documentation
Requires:       python3-six
Provides:       bundled(jquery)
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-manuel
Manuel lets you mix and match traditional doctests with custom test
syntax.  Several plug-ins are included that provide new test syntax.
You can also create your own plug-ins.
%endif

%prep
%setup -q -c

# Remove prebuilt egg
rm -fr %{srcname}-%{version}/src/%{srcname}.egg-info

%if 0%{?with_python3}
# Prepare for a python3 build
cp -a %{srcname}-%{version} python3-%{srcname}-%{version}
%endif

%build
# Python 2 build
pushd %{srcname}-%{version}
%py2_build
sphinx-build -c sphinx src/manuel docs
rm -fr docs/.buildinfo docs/.doctrees
popd

%if 0%{?with_python3}
# Python 3 build
pushd python3-%{srcname}-%{version}
%py3_build
sphinx-build-3 -c sphinx src/manuel docs
rm -fr docs/.buildinfo docs/.doctrees
popd
%endif

%install
# Python 2 install
pushd %{srcname}-%{version}
%py2_install
popd

%if 0%{?with_python3}
# Python 3 install
pushd python3-%{srcname}-%{version}
%py3_install
popd
%endif

%check
# Python 2 tests
pushd %{srcname}-%{version}
%{__python2} setup.py test
popd

%if 0%{?with_python3}
# Python 3 tests
pushd python3-%{srcname}-%{version}
%{__python3} setup.py test
popd
%endif

%files -n python2-%{srcname}
%doc %{srcname}-%{version}/docs
%license %{srcname}-%{version}/LICENSE.rst
%{python2_sitelib}/manuel/
%{python2_sitelib}/manuel-%{version}-*

%if 0%{?with_python3}
%files -n python3-%{srcname}
%doc python3-%{srcname}-%{version}/docs
%license python3-%{srcname}-%{version}/LICENSE.rst
%{python3_sitelib}/manuel/
%{python3_sitelib}/manuel-%{version}-*
%endif

%changelog
* Mon Feb 12 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.9.0-3
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 29 2018 Jerry James <loganjerry@gmail.com> - 1.9.0-1
- New upstream release

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.8.0-7
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Feb  1 2016 Jerry James <loganjerry@gmail.com> - 1.8.0-4
- Comply with latest python packaging guidelines

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Feb 21 2015 Jerry James <loganjerry@gmail.com> - 1.8.0-2
- Note bundled jquery

* Wed Jul 23 2014 Jerry James <loganjerry@gmail.com> - 1.8.0-1
- New upstream release
- Drop upstreamed patch
- Drop conf.py, now included in upstream source
- Avoid use of py3dir, which is not cleaned

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 14 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 1.7.2-5
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Fri Jan 24 2014 Ralph Bean <rbean@redhat.com> - 1.7.2-4
- Conditionalized python3 for epel builds.
- Defined python2 macros for el6.
- Added python3 tests to the check section.

* Thu Oct  3 2013 Jerry James <loganjerry@gmail.com> - 1.7.2-3
- Update project and source URLs

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Mar 18 2013 Jerry James <loganjerry@gmail.com> - 1.7.2-1
- New upstream release

* Wed Feb 27 2013 Jerry James <loganjerry@gmail.com> - 1.7.1-2
- Add python-six Requires (bz 915431)

* Tue Feb 19 2013 Jerry James <loganjerry@gmail.com> - 1.7.1-1
- New upstream release

* Mon Jan 28 2013 Jerry James <loganjerry@gmail.com> - 1.6.1-1
- New upstream release

* Fri Aug 10 2012 Jerry James <loganjerry@gmail.com> - 1.6.0-3
- Rebuild for python 3.3

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Apr 23 2012 Jerry James <loganjerry@gmail.com> - 1.6.0-1
- New upstream release
- Python3 subpackage now possible

* Tue Jan 10 2012 Jerry James <loganjerry@gmail.com> - 1.5.0-4
- Rebuild for bz 772699

* Sun Jan  8 2012 Jerry James <loganjerry@gmail.com> - 1.5.0-3
- Mass rebuild for Fedora 17

* Wed Apr 27 2011 Jerry James <loganjerry@gmail.com> - 1.5.0-2
- Do not Require python-zope-testing
- Change Group to Development/Libraries
- Remove text files from python_sitelib; they are already in docs

* Tue Apr 26 2011 Jerry James <loganjerry@gmail.com> - 1.5.0-1
- Initial RPM
